#ifndef ProtUhel_h
#define ProtUhel_h

#include <BK/Vypocty/XYDS.h>

Bod ProtUhel( Bod L, Bod R, double AL, double AR )
{ double D_RL = GetD(R,L)*sin(Rad(AL))/sin(Rad(AL+AR));
  double S_RL = GetS(R,L)+AR;
  Bod P;
  P.x = R.x + GetX( D_RL,S_RL );
  P.y = R.y + GetY( D_RL,S_RL );
  return P;
}

#endif
